element.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/rel.hh>`
`#include <gecode/int/idx-view.hh>`
`#include <gecode/int/element/int.hpp>`
`#include <gecode/int/element/view.hpp>`
`#include <gecode/int/element/pair.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Element::Int< V0, V1, Idx, Val >
| Element propagator for array of integers More...
class | Gecode::Int::Element::Int< V0, V1, Idx, Val >::IdxVal
| Linked index-value pairs. More...
class | Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterIdxUnmark
| Value iterator for indices in index-value map. More...
class | Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterVal
| Value iterator for values in index-value map. More...
class | Gecode::Int::Element::Int< V0, V1, Idx, Val >::IterValUnmark
| Value iterator for values in index-value map. More...
class | Gecode::Int::Element::Int< V0, V1, Idx, Val >::ByVal
| Sorting pointers to (index,value) pairs in value order. More...
class | Gecode::Int::Element::View< VA, VB, VC, pc_ac >
| Base-class for element propagator for array of views. More...
class | Gecode::Int::Element::ViewBnd< VA, VB, VC >
| Bounds consistent element propagator for array of views. More...
class | Gecode::Int::Element::ViewDom< VA, VB, VC >
| Domain consistent element propagator for array of views. More...
class | Gecode::Int::Element::Pair
| Domain consistent pair propagator. More...

## Namespaces

namespace | Gecode::Int::Element
| Element propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

template<class V0, class V1>
ExecStatus | Gecode::Int::Element::post_int (Home home, IntSharedArray &c, V0 x0, V1 x1)
| Post propagator with apropriate index and value types.